%define debug_package %{nil}

Name:           nvidia-Cg
Version:        1.5
Release:        1%{?dist}
Summary:        The nVidia Cg Toolkit

Group:          Development/Languages
License:        Distributable
URL:            http://developer.nvidia.com/object/cg_toolkit.html
Source0:        http://developer.download.nvidia.com/cg/Cg_%{version}/%{version}.0/Cg-%{version}_x86.tar.gz
Source1:        http://developer.download.nvidia.com/cg/Cg_%{version}/%{version}.0/Cg-%{version}_x86_64.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Exclusivearch:  i386 x86_64

#Requires:       
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
The Cg Toolkit provides a compiler for the Cg language, runtime libraries for
use with both leading graphics APIs, runtime libraries for CgFX, example
applications, and extensive documentation. Supporting over 24 different OpenGL
and DirectX profile targets, Cg will allow you to incorporate stunning
interactive effects into your 3D applications. 

The components include:
  - NVIDIA Cg Compiler Release 1.5
  - Unified Cg/CgFX Runtime
  - Cg User's Manual
  - Cg Language Specification
  - Example programs and shaders

%prep
%setup -q -c -D -T -a 0 -n %{name}-%{version}
mkdir x86
mv usr x86
%setup -q -c -D -T -a 1 -n %{name}-%{version}
mkdir x86_64
mv usr x86_64

%ifarch %{ix86}
ln -s x86 current
%else
ln -s x86_64 current
%endif


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/Cg
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_mandir}/manCg
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 0755 current%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}
install -m 0644 current%{_includedir}/Cg/*  $RPM_BUILD_ROOT%{_includedir}/Cg
install -m 0644 current%{_mandir}/man3/* $RPM_BUILD_ROOT%{_mandir}/man3
install -m 0644 current%{_mandir}/manCg/* $RPM_BUILD_ROOT%{_mandir}/manCg
mv current%{_prefix}/local/Cg/examples $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 0755 current%{_libdir}/* $RPM_BUILD_ROOT%{_libdir}



%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc current/usr/local/Cg/docs/* current/usr/local/Cg/README current/usr/local/Cg/MANIFEST
%{_bindir}/*
%{_includedir}/Cg
%{_mandir}/man3/*
%{_mandir}/manCg
%{_datadir}/%{name}
%{_libdir}/*


%changelog
* Wed Feb 28 2007 kwizart < kwizart at gmail.com > - 1.5-1
- Initial release
